# Delete agent (/docs/api-reference/agents/deleteAgent)

> Permanently delete an agent.



**DELETE** `/agents/{agent_id}`

Permanently delete an agent.

```yaml
operationId: deleteAgent
responses:
  '200':
    description: Agent deleted.
    content:
      application/json:
        schema:
          type: object
          properties:
            success:
              type: boolean
            message:
              type: string
        example:
          success: true
          message: Agent deleted successfully
```

**Python SDK**

```python
from omnidimension import Client
client = Client(api_key)

# Delete an agent
agent_id = "your_agent_id_here"
response = client.agent.delete(agent_id)
print(response)
```

**curl**

```bash
curl -X DELETE "https://backend.omnidim.io/api/v1/agents/{agent_id}" \
  -H "Authorization: Bearer $OMNIDIM_API_KEY"
```
